build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination opinionateddigitalcenter/$CI_PROJECT_NAME:latest



#image: docker:19.03.8

#build:
#  stage: build
#  image:
##    name: python:3.8-slim
#    name: docker/compose:1.21.2
#    entrypoint: ["/bin/sh", "-c"]
##  variables:
##    DOCKER_DRIVER: bridge
##    DOCKER_HOST: tcp://docker:2375
##  services:
##    - docker:dind
#  script:
#    - ping -c 5 gitlab.com
#    - ping -c 5 gitlab.my.localhost
#    - docker version # verify docker cli is there. Also prints server info
#    - docker-compose version
#before_script:
#  - docker info
#
#variables:
#  DOCKER_HOST: tcp://localhost:2375
#  DOCKER_TLS_CERTDIR: ""
#
#services:
#  - docker:19.03.8-dind
#
#docker build:
#  stage: build
#  script:
#    - docker build -t cookiecutter-pypackage-host-setup .